# React Interactive Chat Component

A package of React Interactive Chat components which comes with a AI AssistView component to enables users to display AI-generated responses in a user-friendly interface and the Chat UI component which is lightweight, conversational interface for displaying chat messages between the users.

## What's Included in the React Interactive Chat Package

The React Interactive Chat package includes the following components.

### React AI AssistView

The [React AI AssistView](https://www.syncfusion.com/react-ui-controls/react-ai-assistview?utm_source=npm&utm_medium=listing&utm_campaign=react-interactive-chat-npm) component is a versatile and modern UI tool designed to seamlessly integrate AI services into your web applications. It enables users to send prompts, execute commands through a feature-rich toolbar, and effortlessly display AI-generated responses in a user-friendly interface.

<p align="center">
  <a href="https://ej2.syncfusion.com/documentation/ai-assistview/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=react-interactive-chat-npm">Getting Started</a> .
  <a href="https://ej2.syncfusion.com/demos/?utm_source=npm&utm_medium=listing&utm_campaign=react-interactive-chat-npm#/fluent2/ai-assistview/default.html">Online demos</a> .
  <a href="https://www.syncfusion.com/react-ui-controls/react-ai-assistview?utm_source=npm&utm_medium=listing&utm_campaign=react-interactive-chat-npm">Learn more</a>
</p>

<p align="center">
<img alt="React AI AssistView Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/react/react-ai-assistview.png">
</p>

#### Key features

* Built-in toolbars: Predefined toolbar items like copy, edit, and like/dislike for easy interaction with prompts and responses.
* Prompt suggestions: Supports initial or on-demand prompt suggestions with a customizable header.
* Header toolbar: Allows adding toolbar items in the header with options for executing custom commands.
* Custom views: Extensive customization options for creating personalized views in addition to the built-in assist view.
* Customization: Allows customizing the default appearance, including prompts, responses, and more, to suit your needs.

### React Chat UI

The [React Chat UI](https://www.syncfusion.com/react-ui-controls/react-chat-ui?utm_source=npm&utm_medium=listing&utm_campaign=react-interactive-chat-npm) component is a lightweight, user-friendly conversational interface for displaying chat messages between users. It features messages with timestamps, avatar images with fallback text, typing indicators, and extensive customization options, making it ideal for building modern chat applications.

<p align="center">
  <a href="https://ej2.syncfusion.com/documentation/chat-ui/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=react-interactive-chat-npm">Getting Started</a> .
  <a href="https://ej2.syncfusion.com/demos/?utm_source=npm&utm_medium=listing&utm_campaign=react-interactive-chat-npm#/fluent2/chat-ui/default">Online demos</a> .
  <a href="https://www.syncfusion.com/react-ui-controls/react-chat-ui?utm_source=npm&utm_medium=listing&utm_campaign=react-interactive-chat-npm">Learn more</a>
</p>

<p align="center">
<img alt="React Chat UI Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/react/react-chat-ui.png">
</p>

#### Key features

* Message suggestions: Provides on-demand suggestions using customizable templates to enhance user interactions.
* On-demand messages loading: Dynamically loads messages to optimize performance, especially for lengthy conversations.
* Header toolbar: Allows adding toolbar items in the header with options for executing custom commands.
* Timebreak: Automatically inserts time breaks between messages, enhancing readability by grouping conversations by date.
* Typing indicator: Shows real-time typing activity of users with customizable indicator styles.
* Customization: Allows users to customize the default appearance, including messages, the footer, and more, to suit their needs.

## Setup
To install `interactive chat` and its dependent packages, use the following Command,

```sh
npm install @syncfusion/ej2-react-interactive-chat
```

## Supported frameworks

Interactive chat components are also offered in following list of frameworks.

| [<img src="https://ej2.syncfusion.com/github/images/angular.svg" height="50" />](https://www.syncfusion.com/angular-ui-components?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Angular](https://www.syncfusion.com/angular-ui-components?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/js.svg" height="50" />](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/vue.svg" height="50" />](https://www.syncfusion.com/vue-ui-components?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Vue](https://www.syncfusion.com/vue-ui-components?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netcore.svg" height="50" />](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netmvc.svg" height="50" />](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | 
| :-----: | :-----: | :-----: | :-----: | :-----: |

## Support

Product support is available through the following mediums.

* [Support ticket](https://support.syncfusion.com/support/tickets/create) - Guaranteed Response in 24 hours | Unlimited tickets | Holiday support
* [Community forum](https://www.syncfusion.com/forums/react-js2?utm_source=npm&utm_medium=listing&utm_campaign=react-interactive-chat-npm)
* [GitHub issues](https://github.com/syncfusion/ej2-react-ui-components/issues/new)
* [Request feature or report bug](https://www.syncfusion.com/feedback/react?utm_source=npm&utm_medium=listing&utm_campaign=react-interactive-chat-npm)
* Live chat

## License and copyright

> This is a commercial product and requires a paid license for possession or use. Syncfusion<sup>®</sup> licensed software, including this component, is subject to the terms and conditions of Syncfusion<sup>®</sup> [EULA](https://www.syncfusion.com/eula/es/). To acquire a license for 80+ [React UI components](https://www.syncfusion.com/react-ui-components), you can [purchase](https://www.syncfusion.com/sales/products) or [start a free 30-day trial](https://www.syncfusion.com/account/manage-trials/start-trials).

> A [free community license](https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

See [LICENSE FILE](https://github.com/syncfusion/ej2-react-ui-components/blob/master/license?utm_source=npm&utm_medium=listing&utm_campaign=react-interactive-chat-npm) for more info.

© Copyright 2025 Syncfusion<sup>®</sup> Inc. All Rights Reserved. The Syncfusion<sup>®</sup> Essential Studio<sup>®</sup> license and copyright applies to this distribution.
